1

I've just installed PowerShell 3.0 (KB2506143 - Windows Management Framework 3.0) on my SharePoint 2010 Web server (Windows Server 2008 R2 SP1).

When I checked version with PowerShell using $PSVersionTable, it still reports version 2.0 of PowerShell as installed. Why is this?

closed as off-topic by Mike, SPDoctor Nov 14 '13 at 21:14

  • This question does not appear to be about SharePoint within the scope defined in the help center.
If this question can be reworded to fit the rules in the help center, please edit the question.

  • 2
    This should go on ServerFault. – Mike Nov 14 '13 at 18:57
1

SharePoint 2010 does not support PowerShell running in v3 mode. As a result, when you start the SharePoint 2010 Management Shell, the -Version 2 flag is used to run it in v2 mode.

  • You can see this by editing the SharePoint 2010 Management Shell link in the start menu. – John Chapman Nov 14 '13 at 19:04
  • Guess I could have actually told him how to do that ;) – Jesus Shelby Nov 14 '13 at 19:16
0

Assuming you are using the standard PS console.

First validate it was installed and is listed as an installed hotfix. Also make sure you have to restarted the system. If you had a previous session open when you ran it, that might also be the issue, as all PS sessions should be closed when running the update (I believe it will tell you that, but not 100% sure).

Check the shortcut you are starting PS from, make sure you are not starting it with the -v 2 switch. Also keep in mind, the SP Management console won't run in PS3,

Not the answer you're looking for? Browse other questions tagged or ask your own question.